function OnWarpEnter()
	SetMarker("Osiris\\Warp_0034.wp",0,0)
	SetMarker("Osiris\\Warp_0032.wp",0,0)

	Current_Stars="E1G1"
	
	if Current_Stars == Next_Stars then
		LookAt(182,320)
		Next_Stars="E4G1"
		StartAnimation("E1G1",1)
		StartAnimation("C1G1",1)
	else
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
		end
	end
end

function OnAnimationFinished(objectName)
	if objectName=="C1G1" then
		if Next_Stars == "E1G1" then
			StartAnimationPart("E1G1",0,10,-1,false)
		elseif Next_Stars == "E2G1" then
			StartAnimationPart("E2G1",0,10,-1,false)
		elseif Next_Stars == "E3G1" then
			StartAnimationPart("E3G1",0,10,-1,false)
		elseif Next_Stars == "E4G1" then
			StartAnimationPart("E4G1",0,10,-1,false)
			-- HACK to make the previous constellation disappear
			AnimationSetToStart("E1G1",false)
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "11G1" then

------------------------------------------------------------
	elseif objectName == "C1G1" then

------------------------------------------------------------
	elseif objectName == "C2G1" then

------------------------------------------------------------
	elseif objectName == "C3G1" then

------------------------------------------------------------
	elseif objectName == "C4G1" then

------------------------------------------------------------
	elseif objectName == "DOG1" then

------------------------------------------------------------
	elseif objectName == "E1G1" then

------------------------------------------------------------
	elseif objectName == "E2G1" then

------------------------------------------------------------
	elseif objectName == "E3G1" then

------------------------------------------------------------
	elseif objectName == "E4G1" then
	end
	if objectName=="3D\\Osiris\\Warp_0032.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0034.wp" then
		ChangeWarp(objectName)
        end
end
